> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List team memberships


GET https://{tenant_name}.benchling.com/api/v2/teams/{team_id}/memberships

Returns all team memberships in the given team


Reference: https://docs.benchling.com/docs/api/v2/benchling-api/teams/list-team-memberships

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `team_id` (string, required)

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return.
- `nextToken` (string, optional) — Token for pagination
- `role` (string, optional)

## Response

### 200

OK

- `nextToken` (string, optional)
- `memberships` (list of Membership, optional)

## Errors

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### Membership

- `role` (enum, optional)
  - Allowed values: `ADMIN`, `MEMBER`
- `user` (UserSummary, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "nextToken": "string",
  "memberships": [
    {
      "role": "ADMIN",
      "user": {
        "handle": "string",
        "id": "string",
        "name": "string"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/teams/team_id/memberships"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/teams/team_id/memberships';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```